# Uses of Enum Class
org.apache.sysds.hops.codegen.cplan.CNodeTernary.TernaryType

Packages that use CNodeTernary.TernaryType
Package
Description
org.apache.sysds.hops.codegen.cplan
org.apache.sysds.hops.codegen.cplan.cuda
org.apache.sysds.hops.codegen.cplan.java
org.apache.sysds.hops.codegen.template

## Uses of CNodeTernary.TernaryType in org.apache.sysds.hops.codegen.cplan

Methods in org.apache.sysds.hops.codegen.cplan that return CNodeTernary.TernaryType
Modifier and Type
Method
Description
`CNodeTernary.TernaryType`
CNodeTernary.`getType()`
`static CNodeTernary.TernaryType`
CNodeTernary.TernaryType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CNodeTernary.TernaryType[]`
CNodeTernary.TernaryType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.hops.codegen.cplan with parameters of type CNodeTernary.TernaryType
Modifier and Type
Method
Description
`String`
CodeTemplate.`getTemplate(CNodeTernary.TernaryType type, boolean sparse)`
Constructors in org.apache.sysds.hops.codegen.cplan with parameters of type CNodeTernary.TernaryType
Modifier
Constructor
Description
``
`CNodeTernary(CNode in1, CNode in2, CNode in3, CNodeTernary.TernaryType type)`

## Uses of CNodeTernary.TernaryType in org.apache.sysds.hops.codegen.cplan.cuda

Methods in org.apache.sysds.hops.codegen.cplan.cuda with parameters of type CNodeTernary.TernaryType
Modifier and Type
Method
Description
`String`
Ternary.`getTemplate(CNodeTernary.TernaryType type, boolean sparse)`

## Uses of CNodeTernary.TernaryType in org.apache.sysds.hops.codegen.cplan.java

Methods in org.apache.sysds.hops.codegen.cplan.java with parameters of type CNodeTernary.TernaryType
Modifier and Type
Method
Description
`String`
Ternary.`getTemplate(CNodeTernary.TernaryType type, boolean sparse)`

## Uses of CNodeTernary.TernaryType in org.apache.sysds.hops.codegen.template

Methods in org.apache.sysds.hops.codegen.template with parameters of type CNodeTernary.TernaryType
Modifier and Type
Method
Description
`static boolean`
TemplateUtils.`isTernary(CNode node, CNodeTernary.TernaryType... types)`